//***************************************************************************
/*
 * TOra - An Oracle Toolkit for DBA's and developers
 * Copyright (C) 2000-2001,2001 Underscore AB
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation;  only version 2 of
 * the License is valid for this program.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *      As a special exception, you have permission to link this program
 *      with the Oracle Client libraries and distribute executables, as long
 *      as you follow the requirements of the GNU GPL in regard to all of the
 *      software in the executable aside from Oracle client libraries.
 *
 *      Specifically you are not permitted to link this program with the
 *      Qt/UNIX, Qt/Windows or Qt Non Commercial products of TrollTech.
 *      And you are not permitted to distribute binaries compiled against
 *      these libraries without written consent from Underscore AB. Observe
 *      that this does not disallow linking to the Qt Free Edition.
 *
 * All trademarks belong to their respective owners.
 *
 ****************************************************************************/

static char *DefaultKeywords[]={"ACCESS",
				"ACCOUNT",
				"ACTIVATE",
				"ADD",
				"ADMIN",
				"ADMINISTER",
				"ADVISE",
				"AFTER",
				"ALL",
				"ALLOCATE",
				"ALL_ROWS",
				"ALTER",
				"ANALYZE",
				"ANCILLARY",
				"AND",
				"ANY",
				"ARCHIVE",
				"ARCHIVELOG",
				"ARRAY",
				"AS",
				"ASC",
				"ASSOCIATE",
				"AT",
				"ATTRIBUTE",
				"ATTRIBUTES",
				"AUDIT",
				"AUTHENTICATED",
				"AUTHID",
				"AUTHORIZATION",
				"AUTOALLOCATE",
				"AUTOEXTEND",
				"AUTOMATIC",
				"AVG",
				"BACKUP",
				"BECOME",
				"BEFORE",
				"BEGIN",
				"BEHALF",
				"BETWEEN",
				"BFILE",
				"BINARY_INTEGER",
				"BINDING",
				"BITMAP",
				"BLOB",
				"BLOCK",
				"BLOCK_RANGE",
				"BODY",
				"BOOLEAN",
				"BOTH",
				"BOUND",
				"BROADCAST",
				"BUFFER_POOL",
				"BUILD",
				"BULK",
				"BY",
				"CACHE",
				"CACHE_INSTANCES",
				"CALL",
				"CANCEL",
				"CASCADE",
				"CASE",
				"CAST",
				"CATEGORY",
				"CFILE",
				"CHAINED",
				"CHANGE",
				"CHAR",
				"CHARACTER",
				"CHAR_BASE",
				"CHAR_CS",
				"CHECK",
				"CHECKPOINT",
				"CHILD",
				"CHOOSE",
				"CHUNK",
				"CLASS",
				"CLEAR",
				"CLOB",
				"CLONE",
				"CLOSE",
				"CLOSE_CACHED_OPEN_CURSORS",
				"CLUSTER",
				"COALESCE",
				"COLLECT",
				"COLUMN",
				"COLUMNS",
				"COLUMN_VALUE",
				"COMMENT",
				"COMMIT",
				"COMMITTED",
				"COMPATIBILITY",
				"COMPILE",
				"COMPLETE",
				"COMPOSITE_LIMIT",
				"COMPRESS",
				"COMPUTE",
				"CONNECT",
				"CONNECT_TIME",
				"CONSIDER",
				"CONSISTENT",
				"CONSTANT",
				"CONSTRAINT",
				"CONSTRAINTS",
				"CONTAINER",
				"CONTENTS",
				"CONTEXT",
				"CONTINUE",
				"CONTROLFILE",
				"CONVERT",
				"COST",
				"CPU_PER_CALL",
				"CPU_PER_SESSION",
				"CREATE",
				"CREATE_STORED_OUTLINES",
				"CUBE",
				"CURRENT",
				"CURRENT_DATE",
				"CURRENT_SCHEMA",
				"CURRENT_TIME",
				"CURRENT_TIMESTAMP",
				"CURRENT_USER",
				"CURRVAL",
				"CURSOR",
				"CYCLE",
				"DANGLING",
				"DATA",
				"DATABASE",
				"DATAFILE",
				"DATAFILES",
				"DATAOBJNO",
				"DATE",
				"DATE_MODE",
				"DAY",
				"DBA",
				"DBTIMEZONE",
				"DDL",
				"DEALLOCATE",
				"DEBUG",
				"DEC",
				"DECIMAL",
				"DECLARE",
				"DEFAULT",
				"DEFERRABLE",
				"DEFERRED",
				"DEFINER",
				"DEGREE",
				"DELETE",
				"DEMAND",
				"DEREF",
				"DESC",
				"DETERMINES",
				"DICTIONARY",
				"DIMENSION",
				"DIRECTORY",
				"DISABLE",
				"DISASSOCIATE",
				"DISCONNECT",
				"DISMOUNT",
				"DISTINCT",
				"DISTRIBUTED",
				"DML",
				"DO",
				"DOUBLE",
				"DROP",
				"DUMP",
				"DYNAMIC",
				"EACH",
				"ELSE",
				"ELSIF",
				"ENABLE",
				"END",
				"ENFORCE",
				"ENTRY",
				"ESCAPE",
				"ESTIMATE",
				"EVENTS",
				"EXCEPT",
				"EXCEPTION",
				"EXCEPTIONS",
				"EXCHANGE",
				"EXCLUDING",
				"EXCLUSIVE",
				"EXECUTE",
				"EXISTS",
				"EXIT",
				"EXPIRE",
				"EXPLAIN",
				"EXPLOSION",
				"EXTENDS",
				"EXTENT",
				"EXTENTS",
				"EXTERNALLY",
				"EXTRACT",
				"FAILED_LOGIN_ATTEMPTS",
				"FALSE",
				"FAST",
				"FETCH",
				"FILE",
				"FILTER",
				"FIRST",
				"FIRST_ROWS",
				"FLAGGER",
				"FLOAT",
				"FLOB",
				"FLUSH",
				"FOLLOWING",
				"FOR",
				"FORALL",
				"FORCE",
				"FOREIGN",
				"FREELIST",
				"FREELISTS",
				"FRESH",
				"FROM",
				"FULL",
				"FUNCTION",
				"FUNCTIONS",
				"GENERATED",
				"GLOBAL",
				"GLOBALLY",
				"GLOBAL_NAME",
				"GOTO",
				"GRANT",
				"GROUP",
				"GROUPS",
				"HASH",
				"HASHKEYS",
				"HAVING",
				"HEADER",
				"HEAP",
				"HIERARCHY",
				"HOUR",
				"ID",
				"IDENTIFIED",
				"IDENTIFIER",
				"IDGENERATORS",
				"IDLE_TIME",
				"IF",
				"IMMEDIATE",
				"IN",
				"INCLUDING",
				"INCREMENT",
				"INCREMENTAL",
				"INDEX",
				"INDEXED",
				"INDEXES",
				"INDEXTYPE",
				"INDEXTYPES",
				"INDICATOR",
				"INITIAL",
				"INITIALIZED",
				"INITIALLY",
				"INITRANS",
				"INSERT",
				"INSTANCE",
				"INSTANCES",
				"INSTEAD",
				"INT",
				"INTEGER",
				"INTERFACE",
				"INTERMEDIATE",
				"INTERSECT",
				"INTERVAL",
				"INTO",
				"INVALIDATE",
				"IS",
				"ISOLATION",
				"ISOLATION_LEVEL",
				"JAVA",
				"JOIN",
				"KEEP",
				"KEY",
				"KILL",
				"LABEL",
				"LAST",
				"LAYER",
				"LEADING",
				"LESS",
				"LEVEL",
				"LIBRARY",
				"LIKE",
				"LIMIT",
				"LIMITED",
				"LINK",
				"LIST",
				"LOB",
				"LOCAL",
				"LOCALTIME",
				"LOCALTIMESTAMP",
				"LOCATOR",
				"LOCK",
				"LOCKED",
				"LOG",
				"LOGFILE",
				"LOGGING",
				"LOGICAL_READS_PER_CALL",
				"LOGICAL_READS_PER_SESSION",
				"LOGOFF",
				"LOGON",
				"LONG",
				"LOOP",
				"MANAGE",
				"MANAGED",
				"MANAGEMENT",
				"MASTER",
				"MATERIALIZED",
				"MAX",
				"MAXARCHLOGS",
				"MAXDATAFILES",
				"MAXEXTENTS",
				"MAXINSTANCES",
				"MAXLOGFILES",
				"MAXLOGHISTORY",
				"MAXLOGMEMBERS",
				"MAXSIZE",
				"MAXTRANS",
				"MAXVALUE",
				"MEMBER",
				"MERGE",
				"METHOD",
				"MIN",
				"MINEXTENTS",
				"MINIMIZE",
				"MINIMUM",
				"MINUS",
				"MINUTE",
				"MINVALUE",
				"MLSLABEL",
				"MOD",
				"MODE",
				"MODIFY",
				"MONITORING",
				"MONTH",
				"MOUNT",
				"MOVE",
				"MOVEMENT",
				"MTS_DISPATCHERS",
				"MULTISET",
				"NAMED",
				"NATIONAL",
				"NATURAL",
				"NATURALN",
				"NCHAR",
				"NCHAR_CS",
				"NCLOB",
				"NEEDED",
				"NESTED",
				"NESTED_TABLE_ID",
				"NETWORK",
				"NEVER",
				"NEW",
				"NEXT",
				"NEXTVAL",
				"NLS_CALENDAR",
				"NLS_CHARACTERSET",
				"NLS_COMP",
				"NLS_CURRENCY",
				"NLS_DATE_FORMAT",
				"NLS_DATE_LANGUAGE",
				"NLS_ISO_CURRENCY",
				"NLS_LANG",
				"NLS_LANGUAGE",
				"NLS_NUMERIC_CHARACTERS",
				"NLS_SORT",
				"NLS_SPECIAL_CHARS",
				"NLS_TERRITORY",
				"NO",
				"NOARCHIVELOG",
				"NOAUDIT",
				"NOCACHE",
				"NOCOMPRESS",
				"NOCOPY",
				"NOCYCLE",
				"NOFORCE",
				"NOLOGGING",
				"NOMAXVALUE",
				"NOMINIMIZE",
				"NOMINVALUE",
				"NOMONITORING",
				"NONE",
				"NOORDER",
				"NOOVERRIDE",
				"NOPARALLEL",
				"NORELY",
				"NORESETLOGS",
				"NOREVERSE",
				"NORMAL",
				"NOSEGMENT",
				"NOSORT",
				"NOT",
				"NOTHING",
				"NOVALIDATE",
				"NOWAIT",
				"NULL",
				"NULLS",
				"NUMBER",
				"NUMBER_BASE",
				"NUMERIC",
				"NVARCHAR2",
				"OBJECT",
				"OBJNO",
				"OBJNO_REUSE",
				"OCIROWID",
				"OF",
				"OFF",
				"OFFLINE",
				"OID",
				"OIDINDEX",
				"OLD",
				"ON",
				"ONLINE",
				"ONLY",
				"OPAQUE",
				"OPCODE",
				"OPEN",
				"OPERATOR",
				"OPTIMAL",
				"OPTIMIZER_GOAL",
				"OPTION",
				"OR",
				"ORDER",
				"ORGANIZATION",
				"OTHERS",
				"OUT",
				"OUTLINE",
				"OVER",
				"OVERFLOW",
				"OVERLAPS",
				"OWN",
				"PACKAGE",
				"PACKAGES",
				"PARALLEL",
				"PARAMETERS",
				"PARENT",
				"PARTITION",
				"PARTITIONS",
				"PARTITION_HASH",
				"PARTITION_RANGE",
				"PASSWORD",
				"PASSWORD_GRACE_TIME",
				"PASSWORD_LIFE_TIME",
				"PASSWORD_LOCK_TIME",
				"PASSWORD_REUSE_MAX",
				"PASSWORD_REUSE_TIME",
				"PASSWORD_VERIFY_FUNCTION",
				"PCTFREE",
				"PCTINCREASE",
				"PCTTHRESHOLD",
				"PCTUSED",
				"PCTVERSION",
				"PERCENT",
				"PERMANENT",
				"PLAN",
				"PLSQL_DEBUG",
				"PLS_INTEGER",
				"POSITIVE",
				"POSITIVEN",
				"POST_TRANSACTION",
				"PRAGMA",
				"PREBUILT",
				"PRECEDING",
				"PRECISION",
				"PREPARE",
				"PRESERVE",
				"PRIMARY",
				"PRIOR",
				"PRIVATE",
				"PRIVATE_SGA",
				"PRIVILEGE",
				"PRIVILEGES",
				"PROCEDURE",
				"PROFILE",
				"PUBLIC",
				"PURGE",
				"PX_GRANULE",
				"QUERY",
				"QUEUE",
				"QUOTA",
				"RAISE",
				"RANDOM",
				"RANGE",
				"RAW",
				"RBA",
				"READ",
				"READS",
				"REAL",
				"REBUILD",
				"RECORD",
				"RECORDS_PER_BLOCK",
				"RECOVER",
				"RECOVERABLE",
				"RECOVERY",
				"RECYCLE",
				"REDUCED",
				"REF",
				"REFERENCES",
				"REFERENCING",
				"REFRESH",
				"RELEASE",
				"RELY",
				"RENAME",
				"REPLACE",
				"RESET",
				"RESETLOGS",
				"RESIZE",
				"RESOLVE",
				"RESOLVER",
				"RESOURCE",
				"RESTRICT",
				"RESTRICTED",
				"RESUME",
				"RETURN",
				"RETURNING",
				"REUSE",
				"REVERSE",
				"REVOKE",
				"REWRITE",
				"ROLE",
				"ROLES",
				"ROLLBACK",
				"ROLLUP",
				"ROW",
				"ROWID",
				"ROWNUM",
				"ROWS",
				"ROWTYPE",
				"RULE",
				"SAMPLE",
				"SAVEPOINT",
				"SB4",
				"SCAN",
				"SCAN_INSTANCES",
				"SCHEMA",
				"SCN",
				"SCOPE",
				"SD_ALL",
				"SD_INHIBIT",
				"SD_SHOW",
				"SECOND",
				"SEGMENT",
				"SEG_BLOCK",
				"SEG_FILE",
				"SELECT",
				"SELECTIVITY",
				"SEPARATE",
				"SEQUENCE",
				"SERIALIZABLE",
				"SERVERERROR",
				"SESSION",
				"SESSIONS_PER_USER",
				"SESSIONTIMEZONE",
				"SESSION_CACHED_CURSORS",
				"SET",
				"SHARE",
				"SHARED",
				"SHARED_POOL",
				"SHRINK",
				"SHUTDOWN",
				"SINGLE",
				"SINGLETASK",
				"SIZE",
				"SKIP",
				"SKIP_UNUSABLE_INDEXES",
				"SMALLINT",
				"SNAPSHOT",
				"SOME",
				"SORT",
				"SOURCE",
				"SPACE",
				"SPECIFICATION",
				"SPLIT",
				"SQL",
				"SQLCODE",
				"SQLERRM",
				"SQL_TRACE",
				"STANDBY",
				"START",
				"STARTUP",
				"STATEMENT_ID",
				"STATIC",
				"STATISTICS",
				"STDDEV",
				"STOP",
				"STORAGE",
				"STORE",
				"STRUCTURE",
				"SUBPARTITION",
				"SUBPARTITIONS",
				"SUBTYPE",
				"SUCCESSFUL",
				"SUM",
				"SUMMARY",
				"SUSPEND",
				"SWITCH",
				"SYNONYM",
				"SYSDATE",
				"SYSDBA",
				"SYSOPER",
				"SYSTEM",
				"SYSTIMESTAMP",
				"SYS_OP_BITVEC",
				"SYS_OP_ENFORCE_NOT_NULL$",
				"SYS_OP_NOEXPAND",
				"SYS_OP_NTCIMG$",
				"TABLE",
				"TABLES",
				"TABLESPACE",
				"TABLESPACE_NO",
				"TABNO",
				"TEMPFILE",
				"TEMPORARY",
				"THAN",
				"THE",
				"THEN",
				"THREAD",
				"THROUGH",
				"TIME",
				"TIMEOUT",
				"TIMESTAMP",
				"TIMEZONE_HOUR",
				"TIMEZONE_MINUTE",
				"TIME_ZONE",
				"TO",
				"TOPLEVEL",
				"TRACE",
				"TRACING",
				"TRAILING",
				"TRANSACTION",
				"TRANSITIONAL",
				"TRIGGER",
				"TRIGGERS",
				"TRUE",
				"TRUNCATE",
				"TX",
				"TYPE",
				"TYPES",
				"UB2",
				"UBA",
				"UID",
				"UNARCHIVED",
				"UNBOUND",
				"UNBOUNDED",
				"UNDO",
				"UNIFORM",
				"UNION",
				"UNIQUE",
				"UNLIMITED",
				"UNLOCK",
				"UNRECOVERABLE",
				"UNTIL",
				"UNUSABLE",
				"UNUSED",
				"UPDATABLE",
				"UPDATE",
				"UPD_INDEXES",
				"UROWID",
				"USAGE",
				"USE",
				"USER",
				"USER_DEFINED",
				"USE_STORED_OUTLINES",
				"USING",
				"VALIDATE",
				"VALIDATION",
				"VALUE",
				"VALUES",
				"VARCHAR",
				"VARCHAR2",
				"VARIANCE",
				"VARRAY",
				"VARYING",
				"VIEW",
				"WHEN",
				"WHENEVER",
				"WHERE",
				"WHILE",
				"WITH",
				"WITHOUT",
				"WORK",
				"WRITE",
				"XID",
				"YEAR",
				"ZONE",
				NULL
};
